## com.lowagie.text.pdf.codec.postscript
Class PAPencil.State

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.PAPencil.State

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  PAPencil

    protected static class PAPencil.State

extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`java.awt.geom.AffineTransform` `at`
`java.awt.Shape` `clipShape`
`java.awt.Composite` `composite`
`java.awt.Font` `font`
`java.awt.Paint` `paint`
`java.awt.geom.GeneralPath` `path`
`java.awt.Stroke` `stroke`

Constructor Summary
`PAPencil.State()`
`PAPencil.State(java.awt.Graphics2D g)`

Method Summary
`java.lang.Object` `clone()`
`void` `recordState(java.awt.Graphics2D g)`
`void` `stampState(java.awt.Graphics2D g, java.awt.Dimension size)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stroke

    public java.awt.Stroke stroke

### paint

    public java.awt.Paint paint

### at

    public java.awt.geom.AffineTransform at

### clipShape

    public java.awt.Shape clipShape

### font

    public java.awt.Font font

### composite

    public java.awt.Composite composite

### path

    public java.awt.geom.GeneralPath path

Constructor Detail

### PAPencil.State

    public PAPencil.State()

### PAPencil.State

    public PAPencil.State(java.awt.Graphics2D g)

Method Detail

### recordState

    public void recordState(java.awt.Graphics2D g)

### stampState

    public void stampState(java.awt.Graphics2D g,
                           java.awt.Dimension size)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`